Package commoble.bagofyurting

# Class ShapelessBagUpgradeRecipe

java.lang.Object
net.minecraft.world.item.crafting.ShapelessRecipe
commoble.bagofyurting.ShapelessBagUpgradeRecipe

All Implemented Interfaces:
  `net.minecraft.world.item.crafting.CraftingRecipe`, `net.minecraft.world.item.crafting.Recipe<net.minecraft.world.inventory.CraftingContainer>`

public class ShapelessBagUpgradeRecipe extends net.minecraft.world.item.crafting.ShapelessRecipe

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`ShapelessBagUpgradeRecipe.Serializer`

## Constructor Summary

Constructors
Constructor
Description
`ShapelessBagUpgradeRecipe​(net.minecraft.resources.ResourceLocation idIn, String groupIn, net.minecraft.world.item.ItemStack recipeOutputIn, net.minecraft.core.NonNullList<net.minecraft.world.item.crafting.Ingredient> recipeItemsIn, int displayRadius)`

## Method Summary

Modifier and Type
Method
Description
`net.minecraft.world.item.ItemStack`
`assemble​(net.minecraft.world.inventory.CraftingContainer craftingSlots)`
Returns an Item that is the result of this recipe Returns the output of the recipe, but with radius NBT equal to smallest among inputs + 1
`net.minecraft.world.item.ItemStack`
`getResultItem()`
Get the result of this recipe, usually for display purposes (e.g.
`net.minecraft.world.item.crafting.RecipeSerializer<?>`
`getSerializer()`

### Methods inherited from class net.minecraft.world.item.crafting.ShapelessRecipe

`canCraftInDimensions, getGroup, getId, getIngredients, matches`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.minecraft.world.item.crafting.CraftingRecipe

`getType`

### Methods inherited from interface net.minecraft.world.item.crafting.Recipe

`getRemainingItems, getToastSymbol, isIncomplete, isSpecial`

## Constructor Details

### ShapelessBagUpgradeRecipe

public ShapelessBagUpgradeRecipe​(net.minecraft.resources.ResourceLocation idIn, String groupIn, net.minecraft.world.item.ItemStack recipeOutputIn, net.minecraft.core.NonNullList<net.minecraft.world.item.crafting.Ingredient> recipeItemsIn, int displayRadius)

## Method Details

### getSerializer

public net.minecraft.world.item.crafting.RecipeSerializer<?> getSerializer()

Specified by:
  `getSerializer` in interface `net.minecraft.world.item.crafting.Recipe<net.minecraft.world.inventory.CraftingContainer>`
Overrides:
  `getSerializer` in class `net.minecraft.world.item.crafting.ShapelessRecipe`

### getResultItem

public net.minecraft.world.item.ItemStack getResultItem()
Get the result of this recipe, usually for display purposes (e.g. recipe book). If your recipe has more than one possible result (e.g. it's dynamic and depends on its inputs), then return an empty stack.

Specified by:
  `getResultItem` in interface `net.minecraft.world.item.crafting.Recipe<net.minecraft.world.inventory.CraftingContainer>`
Overrides:
  `getResultItem` in class `net.minecraft.world.item.crafting.ShapelessRecipe`

### assemble

public net.minecraft.world.item.ItemStack assemble​(net.minecraft.world.inventory.CraftingContainer craftingSlots)
Returns an Item that is the result of this recipe Returns the output of the recipe, but with radius NBT equal to smallest among inputs + 1

Specified by:
  `assemble` in interface `net.minecraft.world.item.crafting.Recipe<net.minecraft.world.inventory.CraftingContainer>`
Overrides:
  `assemble` in class `net.minecraft.world.item.crafting.ShapelessRecipe`